> For the complete documentation index, see [llms.txt](https://docs.validationcloud.io/v1/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.validationcloud.io/v1/tron/tron-solidity-api/tronz-shielded-smart-contract/scanshieldedtrc20notesbyivk.md).

# ScanShieldedTrc20NotesByIvk

Scan outgoing notes (Confirmed state).

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `start_block_index` - Int32 - <mark style="color:red;">Required</mark> - An integer representing the starting block index for the shielded TRC20 contract events
* `end_block_index` - Int32 - <mark style="color:red;">Required</mark> - An integer representing the ending block index for the shielded TRC20 contract events
* `shielded_TRC20_contract_address` - String - <mark style="color:red;">Required</mark> - The address of the shielded TRC20 contract
* `ivk` - String - <mark style="color:red;">Required</mark> - A string representing the incoming viewing key (ivk) associated with the shielded TRC20 contract
* `ak` - String - <mark style="color:red;">Required</mark> - A string representing the address key (ak)
* `nk` - String - <mark style="color:red;">Required</mark> - A string representing the note key (nk)
* `visible` - boolean - <mark style="color:red;">Required</mark> - A boolean value indicating whether the events should be visible or not

## **Returns**

`is_spent` - indicates whether the specified shielded TRC20 contract note has been spent or not

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/walletsolidity/scanshieldedtrc20notesbyivk \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{
      "ivk": "INCOMING_VIEWING_KEY",
      "shielded_TRC20_contract_address": "CONTRACT_ADDRESS",
      "end_block_index": 567,
      "start_block_index": 345,
      "ak": "ADDRESS_KEY",
      "visible": true,
      "nk": "NOTE_KEY"
}
'
```

{% endtab %}
{% endtabs %}
